Bug 1852339 - Review Request: barrier - Use a single keyboard and mouse to control multiple computers
Summary: Review Request: barrier - Use a single keyboard and mouse to control multiple...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Robert-André Mauchin 🐧
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2020-06-30 07:52 UTC by Ding-Yi Chen
Modified: 2020-07-17 01:04 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2020-07-17 00:47:37 UTC
Type: ---
zebob.m: fedora-review+


Attachments (Terms of Use)

Description Ding-Yi Chen 2020-06-30 07:52:54 UTC
Spec URL: https://dchen.fedorapeople.org/files/rpms/barrier.spec
SRPM URL: https://dchen.fedorapeople.org/files/rpms/barrier-2.3.2-1.el8.src.rpm
Description: Use a single keyboard and mouse to control multiple computers
Fedora Account System Username: dchen

Comment 1 Robert-André Mauchin 🐧 2020-06-30 12:05:54 UTC
 - Group: is not used in Fedora

 - Requires: hicolor-icon-theme to own the icons directories

 - Use a better name for your archive:

Source0: https://github.com/debauchee/%{name}/archive/v%{version}/%{name}-%{version}.tar.gz

 - make %{?_smp_mflags} → %make_build

 - LICENSE must be included with %license, not %doc

%license LICENSE

 - Please use out of tree building:

%prep
%autosetup

%build
%{cmake3} -B build
%make_build -C build

%install
pushd build
install -D -p -m 0755 bin/barrier      %{buildroot}%{_bindir}/barrier
install -D -p -m 0755 bin/barrierc     %{buildroot}%{_bindir}/barrierc
install -D -p -m 0755 bin/barriers     %{buildroot}%{_bindir}/barriers
popd
install -D -p -m 0644 res/barrier.desktop %{buildroot}%{_datadir}/applications/barrier.desktop
install -D -p -m 0644 doc/barrierc.1 %{buildroot}%{_mandir}/man1/barrierc.1
install -D -p -m 0644 doc/barriers.1 %{buildroot}%{_mandir}/man1/barriers.1
install -D -p -m 0644 res/barrier.ico  %{buildroot}%{_datadir}/pixmaps/barrier.ico
install -D -p -m 0644 res/barrier.svg %{buildroot}%{icon_path}

mkdir -p %{buildroot}%{_datadir}/metainfo
## Write AppStream

[…]


 - BR gcc-c++ explicitly

 

Package Review
==============

Legend:
[x] = Pass, [!] = Fail, [-] = Not applicable, [?] = Not evaluated
[ ] = Manual review needed


Issues:
=======
- If your application is a C or C++ application you must list a
  BuildRequires against gcc, gcc-c++ or clang.
  Note: No gcc, gcc-c++ or clang found in BuildRequires
  See: https://docs.fedoraproject.org/en-US/packaging-guidelines/C_and_C++/
- If (and only if) the source package includes the text of the license(s)
  in its own file, then that file, containing the text of the license(s)
  for the package is included in %license.
  Note: License file LICENSE is not marked as %license
  See: https://docs.fedoraproject.org/en-US/packaging-
  guidelines/LicensingGuidelines/#_license_text


===== MUST items =====

C/C++:
[x]: Package does not contain kernel modules.
[x]: Package contains no static executables.
[x]: Header files in -devel subpackage, if present.
[x]: Package does not contain any libtool archives (.la)
[x]: Rpath absent or only used for internal libs.

Generic:
[x]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[x]: License field in the package spec file matches the actual license.
     Note: Checking patched sources after %prep for licenses. Licenses
     found: "Unknown or generated", "GNU General Public License", "GNU
     General Public License GNU Lesser General Public License", "GNU Lesser
     General Public License", "BSD 3-clause "New" or "Revised" License",
     "BSD 4-clause "Original" or "Old" License Apache License 1.0", "Expat
     License", "FSF Unlimited License (with Retention) GPL (v2 or later)",
     "FSF Unlimited License (with Retention)", "GPL (v2 or later) (with
     incorrect FSF address)", "Apache License 2.0", "SSLeay", "OpenSSL
     License BSD 4-clause "Original" or "Old" License", "BSD 4-clause
     "Original" or "Old" License", "OpenSSL License". 318 files have
     unknown license. Detailed output of licensecheck in
     /home/bob/packaging/review/barrier/review-barrier/licensecheck.txt
[!]: License file installed when any subpackage combination is installed.
[x]: %build honors applicable compiler flags or justifies otherwise.
[x]: Package contains no bundled libraries without FPC exception.
[x]: Changelog in prescribed format.
[x]: Sources contain only permissible code or content.
[-]: Development files must be in a -devel package
[x]: Package uses nothing in %doc for runtime.
[x]: Package consistently uses macros (instead of hard-coded directory
     names).
[x]: Package is named according to the Package Naming Guidelines.
[x]: Package does not generate any conflict.
[x]: Package obeys FHS, except libexecdir and /usr/target.
[-]: If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[x]: Requires correct, justified where necessary.
[x]: Spec file is legible and written in American English.
[-]: Package contains systemd file(s) if in need.
[x]: Useful -debuginfo package or justification otherwise.
[x]: Package is not known to require an ExcludeArch tag.
[-]: Large documentation must go in a -doc subpackage. Large could be size
     (~1MB) or number of files.
     Note: Documentation size is 51200 bytes in 6 files.
[x]: Package complies to the Packaging Guidelines
[x]: Package successfully compiles and builds into binary rpms on at least
     one supported primary architecture.
[x]: Package installs properly.
[x]: Rpmlint is run on all rpms the build produces.
     Note: There are rpmlint messages (see attachment).
[x]: Package requires other packages for directories it uses.
[x]: Package does not own files or directories owned by other packages.
[x]: Package uses either %{buildroot} or $RPM_BUILD_ROOT
[x]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
[x]: Macros in Summary, %description expandable at SRPM build time.
[x]: Package contains desktop file if it is a GUI application.
[x]: Package installs a %{name}.desktop using desktop-file-install or
     desktop-file-validate if there is such a file.
[x]: Dist tag is present.
[x]: Package does not contain duplicates in %files.
[x]: Permissions on files are set properly.
[x]: Package use %makeinstall only when make install DESTDIR=... doesn't
     work.
[x]: Package is named using only allowed ASCII characters.
[x]: Package does not use a name that already exists.
[x]: Package is not relocatable.
[x]: Sources used to build the package match the upstream source, as
     provided in the spec URL.
[x]: Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[x]: File names are valid UTF-8.
[x]: Packages must not store files under /srv, /opt or /usr/local

===== SHOULD items =====

Generic:
[-]: If the source package does not include license text(s) as a separate
     file from upstream, the packager SHOULD query upstream to include it.
[x]: Final provides and requires are sane (see attachments).
[?]: Package functions as described.
[x]: Latest version is packaged.
[x]: Package does not include license text files separate from upstream.
[-]: Sources are verified with gpgverify first in %prep if upstream
     publishes signatures.
     Note: gpgverify is not used.
[-]: Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[x]: Package should compile and build into binary rpms on all supported
     architectures.
[-]: %check is present and all tests pass.
[x]: Packages should try to preserve timestamps of original installed
     files.
[x]: Reviewer should test that the package builds in mock.
[x]: Buildroot is not present
[x]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
[x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[x]: Fully versioned dependency in subpackages if applicable.
[x]: Packager, Vendor, PreReq, Copyright tags should not be in spec file
[x]: Uses parallel make %{?_smp_mflags} macro.
[x]: Sources can be downloaded from URI in Source: tag
[x]: SourceX is a working URL.
[x]: Spec use %global instead of %define unless justified.

===== EXTRA items =====

Generic:
[x]: Rpmlint is run on debuginfo package(s).
     Note: No rpmlint messages.
[x]: Rpmlint is run on all installed packages.
     Note: There are rpmlint messages (see attachment).
[x]: Large data in /usr/share should live in a noarch subpackage if package
     is arched.
[x]: Spec file according to URL is the same as in SRPM.


Rpmlint
-------
Checking: barrier-2.3.2-1.fc33.x86_64.rpm
          barrier-debuginfo-2.3.2-1.fc33.x86_64.rpm
          barrier-debugsource-2.3.2-1.fc33.x86_64.rpm
          barrier-2.3.2-1.fc33.src.rpm
barrier.x86_64: W: spelling-error %description -l en_US keypress -> key press, key-press, cypress
barrier.x86_64: W: no-manual-page-for-binary barrier
barrier.src: W: spelling-error %description -l en_US keypress -> key press, key-press, cypress
4 packages and 0 specfiles checked; 0 errors, 3 warnings.

Comment 2 Ding-Yi Chen 2020-07-02 01:36:58 UTC
Thanks Robert-André,

SPEC revised accordingly.

Spec URL: https://dchen.fedorapeople.org/files/rpms/barrier.spec
SRPM URL: https://dchen.fedorapeople.org/files/rpms/barrier-2.3.2-2.el8.src.rpm

Comment 3 Fabian Affolter 2020-07-02 08:29:56 UTC
From my point of view, this package should be splitted in a server and a client package. The server package should provide a systemd unit file (https://docs.fedoraproject.org/en-US/packaging-guidelines/Systemd/).

Comment 4 Robert-André Mauchin 🐧 2020-07-02 16:37:43 UTC
(In reply to Ding-Yi Chen from comment #2)
> Thanks Robert-André,
> 
> SPEC revised accordingly.
> 
> Spec URL: https://dchen.fedorapeople.org/files/rpms/barrier.spec
> SRPM URL:
> https://dchen.fedorapeople.org/files/rpms/barrier-2.3.2-2.el8.src.rpm

(In reply to Fabian Affolter from comment #3)
> From my point of view, this package should be splitted in a server and a
> client package. The server package should provide a systemd unit file
> (https://docs.fedoraproject.org/en-US/packaging-guidelines/Systemd/).

Good idea.

Split the two components with a server and client subpackage, and write a systemd unit file to handle the server and client lifecycle. Fortunately this is worked here upstream https://github.com/debauchee/barrier/pull/694

Comment 5 Robert-André Mauchin 🐧 2020-07-02 16:41:16 UTC
Maybe wait for upstream for SystemD integration. It needs more eyes.

Comment 6 Ding-Yi Chen 2020-07-03 00:48:45 UTC
A few concern regarding separation:

1. It is not a big package: 26 files take about 2.6 M
2. Both client and server use barrier for GUI, and GUI show both client and server configuration, thus it will break if you just install one of them.
3. Same machines can be set for both clients and servers. 
   For example, the laptop I am using is a barrier server at home, but it is also a barrier client in my office.
   I am not sure that systemd is smart enough to handle this usage.

I suggest that we don't wait for that pull request.

Comment 7 Robert-André Mauchin 🐧 2020-07-03 10:45:31 UTC
(In reply to Ding-Yi Chen from comment #6)
> A few concern regarding separation:
> 
> 1. It is not a big package: 26 files take about 2.6 M
> 2. Both client and server use barrier for GUI, and GUI show both client and
> server configuration, thus it will break if you just install one of them.
> 3. Same machines can be set for both clients and servers. 
>    For example, the laptop I am using is a barrier server at home, but it is
> also a barrier client in my office.
>    I am not sure that systemd is smart enough to handle this usage.
> 
> I suggest that we don't wait for that pull request.

I agree we shouldn't wait, I think upstream needs to work on the unit file they plan to ship.

I've looked at Debian and Arch, they seem to ship the whole package as one unit.

Package approved.

Comment 9 Igor Raits 2020-07-06 17:36:44 UTC
(fedscm-admin):  The Pagure repository was created at https://src.fedoraproject.org/rpms/barrier

Comment 10 Fedora Update System 2020-07-08 00:38:45 UTC
FEDORA-2020-e331a4af86 has been submitted as an update to Fedora 31. https://bodhi.fedoraproject.org/updates/FEDORA-2020-e331a4af86

Comment 11 Fedora Update System 2020-07-08 00:38:46 UTC
FEDORA-2020-dfc7491169 has been submitted as an update to Fedora 32. https://bodhi.fedoraproject.org/updates/FEDORA-2020-dfc7491169

Comment 12 Fedora Update System 2020-07-09 01:05:14 UTC
FEDORA-2020-e331a4af86 has been pushed to the Fedora 31 testing repository.
In short time you'll be able to install the update with the following command:
`sudo dnf install --enablerepo=updates-testing --advisory=FEDORA-2020-e331a4af86 \*`
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2020-e331a4af86

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 13 Fedora Update System 2020-07-09 19:57:18 UTC
FEDORA-2020-dfc7491169 has been pushed to the Fedora 32 testing repository.
In short time you'll be able to install the update with the following command:
`sudo dnf install --enablerepo=updates-testing --advisory=FEDORA-2020-dfc7491169 \*`
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2020-dfc7491169

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 14 Fedora Update System 2020-07-17 00:47:37 UTC
FEDORA-2020-dfc7491169 has been pushed to the Fedora 32 stable repository.
If problem still persists, please make note of it in this bug report.

Comment 15 Fedora Update System 2020-07-17 01:04:30 UTC
FEDORA-2020-e331a4af86 has been pushed to the Fedora 31 stable repository.
If problem still persists, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.